Index: explicacion_situacional/templates/explicacion.situacional.html
===================================================================
--- explicacion_situacional/templates/explicacion.situacional.html	(revision 18d5427ceaf735255226c18f3958bd0d4865db60)
+++ explicacion_situacional/templates/explicacion.situacional.html	(revision 713bc4a2aca079acac1d62eea7777d32f5a27813)
@@ -54,5 +54,5 @@
                 <div class="panel-sapic">
                     <center>
-                        <img  src="{% static 'media/img/explicacion_situacional.png' %}">
+                        <img class="img-responsive" src="{% static 'media/img/explicacion_situacional.png' %}">
                     </center>
                 </div>
Index: users/templates/users.menu.html
===================================================================
--- users/templates/users.menu.html	(revision cd20b7385275860d6039a55322a59d35496d9c6c)
+++ users/templates/users.menu.html	(revision 713bc4a2aca079acac1d62eea7777d32f5a27813)
@@ -3,16 +3,19 @@
 <!-- Este bloque puede contener un menu principal... -->
     <div class="container-fluid">
+        <ul class="nav navbar-nav navbar-left">
+            <li><a class="btn pull-right" href="{% url 'utils:inicio' %}">
+              <img width="200" height="150" class="img-responsive" src="{% static 'media/img/logo_sipes.png' %}"/></a></li>
+            <li>
+        </ul>
         <ul class="nav navbar-nav navbar-right">
-            <li><a class="btn pull-right" href="{% url 'utils:inicio' %}">
-              <span class="glyphicon glyphicon-home btn-menu-sapic" aria-hidden="true"> </span>
-          </a></li>
-            <li>
             <!-- Single button -->
             <div class="btn-group">
             {% if 'Administradores' in request.session.grupos %}
+
               <a class="btn pull-right dropdown-toggle" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false" href="#" >
                   <img class="img-responsive" src="{% static 'media/iconos/usuario_icon_blanco.png' %}"/> <span class=" btn-menu-sapic" aria-hidden="true"> Admin</span>
                   <span class="caret"></span>
               </a>
+
               <ul class="dropdown-menu">
                 <li>
Index: utils/templates/base.footer.html
===================================================================
--- utils/templates/base.footer.html	(revision 57f6191e72c17dfe42acf1695ab12d7dd0a71143)
+++ utils/templates/base.footer.html	(revision 713bc4a2aca079acac1d62eea7777d32f5a27813)
@@ -1,3 +1,4 @@
 {% load staticfiles %}
+<!--
 <footer class="footer navbar-fixed-bottom">
     <ul class="nav navbar-nav navbar-right">
@@ -10,2 +11,3 @@
     </ul>
 </footer>
+-->
Index: utils/templates/base.header.html
===================================================================
--- utils/templates/base.header.html	(revision cd20b7385275860d6039a55322a59d35496d9c6c)
+++ utils/templates/base.header.html	(revision 713bc4a2aca079acac1d62eea7777d32f5a27813)
@@ -2,19 +2,15 @@
 <div class="cabecera-sapic">
     <nav class="navbar navbar-default navbar-static-top">
-        <!-- Este bloque puede contener un menu de la cabecera -->
-        <div class="collapse navbar-collapse">
-            {% block enlaces_logo %}
-                <!-- Para agregar enlaces o logos -->
-                <ul class="nav navbar-nav navbar-right">
-                    <!--<li><a class="btn pull-right" href="{% url 'users:login' %}">-->
-                  <li><a class="btn pull-right">
-                          <img class="img-responsive" src="{% static 'media/img/logo_sipes.png' %}"/>
-                  </a></li>
-                 </ul>
-            {% endblock enlaces_logo %}
+        <div class="container-fluid">
+            <ul class="nav navbar-nav navbar-right">
+                <li>
+                    <p align="center">Centro Nacional de Desarrollo e Investigacion en Tecnologias Libres <a href="https://www.cenditel.gob.ve/"> <strong>Copyleft  {% now "Y" %}<span style="font: 18px Arial, sans-serif; display: inline-block; transform: rotate(180deg);">&copy;</span>CENDITEL</a>.</strong><p>
+                </li>
+                <li>
+                    <img class="img-responsive" src="{% static 'media/img/logo_cenditel_blanco.png' %}"/>
+                </li>
+            </ul>
         </div>
     </nav>
-    <img class="img-responsive" src="{% static 'media/img/banner330.png' %}" width="1500px" height="300px />
-
+    <img class="img-responsive" src="{% static 'media/img/banner330.png' %}" width="1500px" height="300px" />
 </div>
-<hr />