Index: 0.3-modules/proyectos_operativos_seguimiento/includes/proyecto/historial_cambiodeestado_seg_proyecto.pages.inc
===================================================================
--- 0.3-modules/proyectos_operativos_seguimiento/includes/proyecto/historial_cambiodeestado_seg_proyecto.pages.inc	(revision 669d26ec4ea2faf2077deb28897b323fa402d1e9)
+++ 0.3-modules/proyectos_operativos_seguimiento/includes/proyecto/historial_cambiodeestado_seg_proyecto.pages.inc	(revision 916c54e2dfa41033c870e9f8b9d5d9e478be1b44)
@@ -33,10 +33,12 @@
  */
 function historial_cambiodeestado_seg_proyecto_page($node, $mes = 0) {
-  if (_proyecto_seguimiento_mes_mover_estado_access($node, $mes_fase_seg, $message = true));
   $meses = json_decode(MESES);
- 
-  $output = '';
-  $output .= '<br>';
-  $tablas = array();
+  if (!$mes) {
+    $mes  = variable_get('accion_especifica_de_proyecto_seguimiento_mes_seguimiento', 0) ;
+  }
+
+    $output = '';
+    $output .= '<br>';
+    $tablas = array();
   $header = array();
   $header[] = array('data' => t('Mes')); 
@@ -50,33 +52,36 @@
   $mes_final = variable_get('seguimiento_proyectos_cantidad_meses_seguimiento', 0);
   $rows = array();
-  for ($i=($mes_seguimiento -1); $i<=$mes_final; $i++) {
-    $mesesList .= ' ' . $meses[$i];
-  $query = "SELECT id_seg from {seguimiento_proyecto} where nid = %d and mes = %d";//consulta seguimiento
-  $queryResult = db_query ($query, $node->nid, $i);
-  $seg_proyecto = db_fetch_object($queryResult);
-  $query2 = "SELECT t.*, u.name from {seguimiento_proyecto_transiciones_estados} AS t LEFT JOIN {users} AS u ON u.uid = t.uid where t.id_seg = %d order by date desc";//consulta seguimiento
-  $queryResult2 = db_query($query2, $seg_proyecto->id_seg);
-  $estados = _obtener_estados_seguimiento_mes();
+  for ($i=1;  $i<=count($meses); $i++) {
+    if (in_array($i, variable_get('seguimiento_proyectos_cantidad_meses_seguimiento', 1) )) {
+      $mesesList[] = $meses[$i -1];
 
-  while ($transiciones_estado_seg = db_fetch_object ($queryResult2)) {
-    $row = array();
-    $row[] = array('data' => $meses[$i],);
-    $estado_anterior = isset($transiciones_estado_seg->estado_ant)? $transiciones_estado_seg->estado_ant : '-';
-    $estado_anterior_nombre = $estados['states'][$estado_anterior];
-    $estado_actual = isset($transiciones_estado_seg->estado)? $transiciones_estado_seg->estado : '-';
-    $estado_actual_nombre = $estados['states'][$estado_actual];
-    $accionado = variable_get('proyectos_operativos_state_d_' . $current . '_' . $transiciones_estado_seg->estado, FALSE)? t(variable_get('proyectos_operativos_state_tdevueltos', 'Devuelto a @state'), array('@state' => $estado_actual_nombre)) : t(variable_get('proyectos_operativos_state_tndevueltos', 'Enviado a @state'), array('@state' => $estado_actual_nombre));
-    $row[] = array('data' => $accionado,);
-    $fecha_cambio_estado = isset($transiciones_estado_seg->date)? $transiciones_estado_seg->date : '-';
-    $fecha_formato_cambio_estado = format_date($fecha_cambio_estado);
-    $row[] = array('data' => $fecha_formato_cambio_estado,);
-    $row[] = array('data' => $transiciones_estado_seg->name,);
-    $comentario = isset($transiciones_estado_seg->comentario)? $transiciones_estado_seg->comentario : '-';
-    $row[] = array('data' => $comentario,);
-    $row[] = array('data' => $estado_anterior_nombre.' => '.$estado_actual_nombre,);
-    $rows[] = $row;
+      $query = "SELECT id_seg from {seguimiento_proyecto} where nid = %d and mes = %d";//consulta seguimiento
+      $queryResult = db_query ($query, $node->nid, $i);
+      $seg_proyecto = db_fetch_object($queryResult);
+      $query2 = "SELECT t.*, u.name from {seguimiento_proyecto_transiciones_estados} AS t LEFT JOIN {users} AS u ON u.uid = t.uid where t.id_seg = %d order by date desc";//consulta seguimiento
+      $queryResult2 = db_query($query2, $seg_proyecto->id_seg);
+      $estados = _obtener_estados_seguimiento_mes();
+
+      while ($transiciones_estado_seg = db_fetch_object ($queryResult2)) {
+        $row = array();
+        $row[] = array('data' => $meses[$i -1],);
+        $estado_anterior = isset($transiciones_estado_seg->estado_ant)? $transiciones_estado_seg->estado_ant : '-';
+        $estado_anterior_nombre = $estados['states'][$estado_anterior];
+        $estado_actual = isset($transiciones_estado_seg->estado)? $transiciones_estado_seg->estado : '-';
+        $estado_actual_nombre = $estados['states'][$estado_actual];
+        $accionado = variable_get('proyectos_operativos_state_d_' . $current . '_' . $transiciones_estado_seg->estado, FALSE)? t(variable_get('proyectos_operativos_state_tdevueltos', 'Devuelto a @state'), array('@state' => $estado_actual_nombre)) : t(variable_get('proyectos_operativos_state_tndevueltos', 'Enviado a @state'), array('@state' => $estado_actual_nombre));
+        $row[] = array('data' => $accionado,);
+        $fecha_cambio_estado = isset($transiciones_estado_seg->date)? $transiciones_estado_seg->date : '-';
+        $fecha_formato_cambio_estado = format_date($fecha_cambio_estado);
+        $row[] = array('data' => $fecha_formato_cambio_estado,);
+        $row[] = array('data' => $transiciones_estado_seg->name,);
+        $comentario = isset($transiciones_estado_seg->comentario)? $transiciones_estado_seg->comentario : '-';
+        $row[] = array('data' => $comentario,);
+        $row[] = array('data' => $estado_anterior_nombre.' => '.$estado_actual_nombre,);
+        $rows[] = $row;
+      }
+    }
   }
-}
-  drupal_set_title(t('Historial de cambios de estados del Seguimiento de Proyecto para el mes "@nombre_mes"', array('@nombre_mes' => $mesesList)));
+  drupal_set_title(t('Historial de cambios de estados del Seguimiento de Proyecto para el mes "@nombre_mes"', array('@nombre_mes' => implode(", ", $mesesList))));
 
 //.......................