Index: explicacion_situacional/templates/caracterizacion.politica.html
===================================================================
--- explicacion_situacional/templates/caracterizacion.politica.html	(revision cd20b7385275860d6039a55322a59d35496d9c6c)
+++ explicacion_situacional/templates/caracterizacion.politica.html	(revision 1901d86755d84d4de5324536fd7ed40850dd05a1)
@@ -13,44 +13,4 @@
             </section>
             {% if consultas %}
-            <table class="table table-striped table-hover table-bordered blue-table display dataTable" id="table">
-                            <thead>
-                                <tr>
-                                    <th>Pregunta</t>
-                                    <th>Respuesta</th>
-                                    <button type="reset" class="btn btn-primary btn-sm" data-toggle="tooltip">{% trans 'Limpiar' %}</button>
-                                    <th>Opciones</th>
-                                </tr>
-                            </thead>
-                            <tbody>
-                                {% for respuesta in si_no %}
-                                <tr>
-                                    <td>{{ respuesta.pregunta }}</td>
-                                      {% if respuesta.texto_respuesta %}
-                                        <td>Si</td>
-                                      {% else %}
-                                        <td>No</td>
-                                      {% endif %}
-                                </tr>
-                                {% endfor %}
-                                {% for respuesta in opciones %}
-                                <tr>
-                                    <td>{{ respuesta.pregunta }}</td>
-                                    <td>{{ respuesta.opcion }}</td>
-                                </tr>
-                                {% endfor %}
-                                {% for respuesta in abierta %}
-                                <tr>
-                                    <td>{{ respuesta.pregunta }}</td>
-                                    <td>{{ respuesta.texto_respuesta }}</td>
-                                </tr>
-                                {% endfor %}
-                                <td class="text-center">
-                                  <a onclick="return abrir_modal('{% url 'explicacion:modificar_respuesta' %}')" class="btn">
-                                    <span class="glyphicon glyphicon-edit"></span>
-                                  </a>
-                                </td>
-                            </tbody>
-                </table>
-                        <input type="button" style="margin: 20px;" id="pdf" value="pdf" />
                       {% endif %}
             <section class="content">
Index: plicacion_situacional/templates/caracterizacion.politica.modal.html
===================================================================
--- explicacion_situacional/templates/caracterizacion.politica.modal.html	(revision cd20b7385275860d6039a55322a59d35496d9c6c)
+++ 	(revision )
@@ -1,33 +1,0 @@
-{% extends 'explicacion.situacional.html' %}
-{% load staticfiles %}
-{% load i18n %}
-{% block titulo %}_-=SAPIC-CaracterizaciÃ³n PolÃ­tica=-_{% endblock titulo %}
-{% block contenido_principal %}
-<div class="modal-dialog modal-lg">
-<div class="modal-content">
-{% if object %}
-<form role="form" action="{% url 'explicacion:modificar_respuesta' object.pk %}" method="post">
-{% endif %}
-  <div class="modal-header">
-<button type="button" class="close" data-dismiss="modal">x</button>
-<h3>Modificar Respuesta</h3>
-</div>
-<div class="modal-body">
-          {% csrf_token %}
-          <div class="panel panel-default">
-                  <div class="panel-body">
-                          {{ form.as_p }}
-                  </div>
-          </div>
-  </div>
-  <div class="modal-footer">
-          <div class="col-lg-12 text-right">
-                  <input type="submit" class="btn btn-primary" name="submit" value="Guardar">
-                  <button type="button" class="btn btn-default" onclick="return cerrar_modal()">
-                          Cancelar
-                  </button>
-          </div>
-  </div>
-</form>
-</div>
-</div>
Index: explicacion_situacional/views/caracterizacionPoliticaView.py
===================================================================
--- explicacion_situacional/views/caracterizacionPoliticaView.py	(revision cd20b7385275860d6039a55322a59d35496d9c6c)
+++ explicacion_situacional/views/caracterizacionPoliticaView.py	(revision 1901d86755d84d4de5324536fd7ed40850dd05a1)
@@ -81,16 +81,4 @@
 
 
-class ModificarOrganizacion(UpdateView):
-    """!
-    Clase que muestra el templates de la caracterizaciÃ³n polÃ­tica de la comunidad
 
-    @author Ing. Lully Troconis (ltroconis at cenditel.gob.ve)
-    @copyright <a href='http://www.gnu.org/licenses/gpl-2.0.html'>GNU Public License versiÃ³n 2 (GPLv2)</a>
-    @date 22-08-2018
-    @version 1.0.0
-    """
 
-    model = TipoPregunta
-    template_name = 'caracterizacion.politica.modal.html'
-    form_class = None
-    success_url = reverse_lazy('explicacion:caracterizacion_politica')