Index: users/views.py
===================================================================
--- users/views.py	(revision cd20b7385275860d6039a55322a59d35496d9c6c)
+++ users/views.py	(revision 0948a4e0de879b5e7880b90856366533b0c8162c)
@@ -110,5 +110,5 @@
                 # Session expira a los dos meses si no se deslogea
                 self.request.session.set_expiry(1209600)
-            messages.info(self.request, 'Bienvenido %s has ingresado a el \
+            messages.info(self.request, 'Bienvenido %s has ingresado al \
                                          SAPIC con el usuario %s \
                                          ' % (usuario.first_name,
@@ -120,10 +120,10 @@
                 if not user.is_active:
                     self.success_url = reverse_lazy('users:login')
-                    messages.error(self.request, 'La cuenta esta inactiva \
+                    messages.error(self.request, 'La cuenta estÃ¡ inactiva \
                                                 consulte con un adminitrador')
                 else:
                     self.success_url = reverse_lazy('users:login')
                     messages.warning(self.request, 'Verifique su nombre y contraseÃ±a\
-                                                 y vuelve a intertar')
+                                                 y vuelva a intentar')
 
         return super(LoginView, self).form_valid(form)
@@ -143,5 +143,5 @@
     form_class = PasswordChangeForm
     success_url = '/inicio/'
-    success_message = "Cambio de contraseÃ±a con Ã©xito"
+    success_message = "Cambio de contraseÃ±a realizada con Ã©xito"
     group_required = [u"Administradores", u"Voceros", u"Integrantes"]
 
@@ -291,5 +291,5 @@
         except:
             comite = {}
-            comite['fk_comite'] = "Este vocero no fue asignado a un comite"
+            comite['fk_comite'] = "Este vocero no fue asignado a un comitÃ©"
         context['upUser'] = record
         context['comite'] = comite
@@ -357,5 +357,5 @@
         objeto = get_object_or_404(User, pk=self.record_id)
         if self.record_id is not None:
-            messages.success(self.request, "Usuario %s Actualizado con Ã©xito\
+            messages.success(self.request, "Usuario %s actualizado con Ã©xito\
                                            " % (str(objeto.username)))
         return super(UpdatePerfilAdmin, self).forms_valid(forms)
@@ -401,5 +401,5 @@
         objeto = get_object_or_404(User, pk=self.record_id)
         if self.record_id is not None:
-            messages.success(self.request, "Usuario %s Actualizado con Ã©xito\
+            messages.success(self.request, "Usuario %s actualizado con Ã©xito\
                                            " % (str(objeto.username)))
         return super(UpdatePerfilAdmin, self).forms_valid(forms)
@@ -440,6 +440,6 @@
             estado = False
         else:
-            messages.error(self.request, "Esta intentando hacer \
-                                          una accion incorrecta")
+            messages.error(self.request, "EstÃ¡ intentando hacer \
+                                          una acciÃ³n incorrecta")
         try:
             user_act = self.model.objects.get(pk=user)
@@ -539,5 +539,5 @@
         if self.record_id is not None:
             objeto = get_object_or_404(User, pk=self.record_id)
-            messages.success(self.request,  "Usuario %s Actualizado con Ã©xito\
+            messages.success(self.request,  "Usuario %s actualizado con Ã©xito\
                                            " % (str(objeto.username)))
         return super(ModalsPerfil, self).forms_valid(forms)
@@ -682,5 +682,5 @@
                 except:
                     messages.warning(self.request, "Existe un problema al \
-                                                    relacionar el comite a \
+                                                    relacionar el comitÃ© a \
                                                     este vocero")
             try:
@@ -689,10 +689,10 @@
                 nombre_vocero = str(vocero_actualizado.nombres) + " \
                                 " + str(vocero_actualizado.apellidos)
-                messages.success(self.request, "Se creo el usuario %s, para el \
+                messages.success(self.request, "Se creÃ³ el usuario %s, para el \
                                                 vocero %s" % (
                                                 nuevo_usuario.username,
                                                 nombre_vocero))
             except:
-                messages.error(self.request, "El voceros al que quieres asociar  \
+                messages.error(self.request, "El vocero al que quieres asociar  \
                                               a la cuenta ya existe o ya se \
                                               encuentra asociado")
@@ -700,6 +700,6 @@
 
         except:
-            messages.error(self.request, "Este Vocero %s, no se encuentra \
-                                          asociado a esta organizacion: %s" % (
+            messages.error(self.request, "Este vocero %s, no se encuentra \
+                                          asociado a esta organizaciÃ³n: %s" % (
                                           documento_identidad,
                                           organizacion_social.nombre))