Index: static/css/css_custom.css
===================================================================
--- static/css/css_custom.css	(revision 0948a4e0de879b5e7880b90856366533b0c8162c)
+++ static/css/css_custom.css	(revision 59849b264788af46917d4c262f1e108c762d2a77)
@@ -1,16 +1,70 @@
+/* ----- Navbar [BEGIN]  */
+.navbar {
+    margin-bottom: 0px;
+}
 .navbar-default {
     color: #FCF8E3;
     background-color: #0073b7;
 }
-.navbar {
-    margin-bottom: 0px;
-}
-  ï¿Œ
+.navbar-inverse {
+    color: #FCF8E3;
+    background-color: #0073b7;
+    border-radius: 0;
+    border-color: #0073b7;
+    padding: 10px;
+}
+.navbar-inverse .navbar-nav > li > a,
+.navbar-inverse .navbar-nav > li > a:hover
+.navbar-inverse .navbar-nav > li > a:focus {
+    color: #fff;
+}
+
+.navbar-inverse .navbar-nav > .open > a,
+.navbar-inverse .navbar-nav > .open > a:focus,
+.navbar-inverse .navbar-nav > .open > a:hover {
+    background-color: #286090;
+}
+
+.navbar-inverse .navbar-toggle:focus,
+.navbar-inverse .navbar-toggle:hover {
+    background-color: #286090;
+}
+.navbar-inverse .navbar-collapse {
+    border-color: transparent;
+}
+
+.img-brand {
+    height: 37px;
+    width: auto;
+}
+
+.img-brand-user {
+    float: left;
+    height: auto;
+    padding-right: 10px;
+    margin-top: -2px;
+}
+
+
+@media (max-width: 767px) {
+    .navbar-inverse .navbar-nav .open .dropdown-menu > li > a {
+        color: #fff;
+    }
+    .navbar-inverse .navbar-nav .open .dropdown-menu .divider {
+        background-color: #ffffff66;
+    }
+}
+
+/* ----- Navbar [ENDED]  */
+
+
+
 .nav {
-      padding-right: 5px
-  }
+    padding-right: 5px
+}
+
 .contenedor-sapic {
-  width: 100%;
-  height: auto;
+    width: 100%;
+    height: auto;
 }
 
@@ -35,67 +89,54 @@
 }
 
+/* Container */
 .contenido-sapic {
   width: 100%;
-  margin-top: 4%;
   min-height: 560px;
   height: auto;
   margin-bottom: 2%;
   background-color: rgba(238, 238, 238, 0.29);
-}
-
-.panel-sapic {
-    //float: left;
-    margin-top: 2%;
-    margin-left: 5%;
-    margin-right: 5%;
-    margin-bottom: 2%;
-    padding-top: 0.5%;
-    padding-left: 2%;
-    padding-bottom: 10%;
-    padding-right: 2%;
-    //width: 320px;
+  padding: 20px;
+}
+
+/* Alertas */
+.box-body {
+    padding: 0 20px;
+}
+.box-body .alert {
+    margin-top: 20px;
+    margin-bottom: 20px;
+}
+
+
+.forget-password {
+    margin-top: 50px;
+    margin-bottom: 50px;
+    background-color: #fff;
+    padding: 40px 25px 60px 25px;
+    border-radius: 2px;
+    box-shadow: 0 0 1px #555;
+}
+
+
+/* ----- Panel Izquierdo [BEGIN] ----- */
+.panel-lateral-izq {
+    padding: 20px;
     min-height: 500px;
     height: auto;
-    background-color: #FFF;
-    border-radius: 10px;
-    color: #0085A8;
-}
-
-.panel-lateral-izq{
-  //float: left;
-    margin-top: 6%;
-    margin-left: 5%;
-    margin-right: 0%;
-    margin-bottom: 2%;
-    padding-top: 0.5%;
-    padding-left: 10%;
-    padding-bottom: 10%;
-    padding-right: 10%;
-    //width: 320px;
-    min-height: 500px;
-    height: auto;
-    background-color: #F4F4F4;
-    border-radius: 10px;
+    background-color: #fafafa;
+    border-radius: 3px;
     color: #0073b7;
-
-}
-
-.panel-sapic a{
-    color: #0085A8;
-}
-
-.panel-sapic h2{
-    color: #0073b7;
-}
-
-.panel-sapic hr{
-  border-top: 0.5px solid #A76868;
-}
-
-.panel-sapic p{
-    color: #000000;
-}
-
-.panel-lateral-izq a{
+    box-shadow: 0 0 3px #888;
+}
+
+.panel-lateral-izq .checkbox input[type=checkbox],
+.panel-lateral-izq .checkbox-inline input[type=checkbox],
+.panel-lateral-izq .radio input[type=radio],
+.panel-lateral-izq .radio-inline input[type=radio] {
+    position: relative;
+    margin-left: unset;
+}
+
+.panel-lateral-izq a {
   color: #0073b7;
 }
@@ -104,4 +145,62 @@
   color: #000000;
 }
+/* ----- Panel Izquierdo [ENDED] ----- */
+
+
+/* ----- Panel Principal [BEGIN] ----- */
+
+.panel-sapic {
+    padding: 20px;
+    min-height: 500px;
+    background-color: #fff;
+    border-radius: 5px;
+    color: #0085A8;
+}
+.panel-sapic .img-login {
+    width: 80%;
+    margin-top: 20px;
+    margin-left: auto;
+    margin-right: auto;
+    height: auto;
+}
+
+.panel-sapic-nav {
+    padding: 20px;
+    padding-bottom: 0;
+    background-color: #fff;
+    border-radius: 5px;
+}
+
+.panel-sapic .listado-organizaciones .dataTable a {
+    color: #fff;
+    padding: 5px 10px;
+}
+.panel-sapic .listado-organizaciones .dataTable tbody tr td label {
+    text-align: center;
+    border: none;
+}
+
+/* ----- Panel Principal [ENDED] ----- */
+
+
+.panel-sapic a {
+    color: #0085A8;
+}
+
+.panel-sapic h2 {
+    color: #0073b7;
+}
+
+.panel-sapic hr {
+  border-top: 0.5px solid #A76868;
+}
+
+.panel-sapic p {
+    color: #000000;
+}
+
+
+
+
 
 .contenido-sapic .img-sapic_logo {
@@ -300,5 +399,81 @@
 }
 
-.carousel-indicators{
+.carousel-indicators {
   bottom: 4px;
 }
+
+/* ---- Clases de ayuda [BEGIN] ---- */
+.bg-primary {
+    background-color: #0073b7;
+}
+
+.text-light {
+    color: #fafafa !important;
+}
+.text-light:hover, .text-light:focus {
+    color: #ccc;
+}
+/* Padding */
+.p-0, .pl-0, .px-0 { padding-left: 0 !important; }
+.p-0, .pr-0, .px-0 { padding-right: 0 !important; }
+.p-0, .pt-0, .py-0 { padding-top: 0 !important; }
+.p-0, .pb-0, .py-0 { padding-bottom: 0 !important; }
+
+.p-1, .pl-1, .px-1 { padding-left: 0.25rem !important; }
+.p-1, .pr-1, .px-1 { padding-right: 0.25rem !important; }
+.p-1, .pt-1, .py-1 { padding-top: 0.25rem !important; }
+.p-1, .pb-1, .py-1 { padding-bottom: 0.25rem !important; }
+
+.p-2, .pl-2, .px-2 { padding-left: 0.5rem !important; }
+.p-2, .pr-2, .px-2 { padding-right: 0.5rem !important; }
+.p-2, .pt-2, .py-2 { padding-top: 0.5rem !important; }
+.p-2, .pb-2, .py-2 { padding-bottom: 0.5rem !important; }
+
+.p-3, .pl-3, .px-3 { padding-left: 1rem !important; }
+.p-3, .pr-3, .px-3 { padding-right: 1rem !important; }
+.p-3, .pt-3, .py-3 { padding-top: 1rem !important; }
+.p-3, .pb-3, .py-3 { padding-bottom: 1rem !important; }
+
+.p-4, .pl-4, .px-4 { padding-left: 1.5rem !important; }
+.p-4, .pr-4, .px-4 { padding-right: 1.5rem !important; }
+.p-4, .pt-4, .py-4 { padding-top: 1.5rem !important; }
+.p-4, .pb-4, .py-4 { padding-bottom: 1.5rem !important; }
+
+.p-5, .pl-5, .px-5 { padding-left: 3rem !important; }
+.p-5, .pr-5, .px-5 { padding-right: 3rem !important; }
+.p-5, .pt-5, .py-5 { padding-top: 3rem !important; }
+.p-5, .pb-5, .py-5 { padding-bottom: 3rem !important; }
+
+/* Margin */
+.m-0, .ml-0, .mx-0 { margin-left: 0 !important; }
+.m-0, .mr-0, .mx-0 { margin-right: 0 !important; }
+.m-0, .mt-0, .my-0 { margin-top: 0 !important; }
+.m-0, .mb-0, .my-0 { margin-bottom: 0 !important; }
+
+.m-1, .ml-1, .mx-1 { margin-left: 0.25rem !important; }
+.m-1, .mr-1, .mx-1 { margin-right: 0.25rem !important; }
+.m-1, .mt-1, .my-1 { margin-top: 0.25rem !important; }
+.m-1, .mb-1, .my-1 { margin-bottom: 0.25rem !important; }
+
+.m-2, .ml-2, .mx-2 { margin-left: 0.5rem !important; }
+.m-2, .mr-2, .mx-2 { margin-right: 0.5rem !important; }
+.m-2, .mt-2, .my-2 { margin-top: 0.5rem !important; }
+.m-2, .mb-2, .my-2 { margin-bottom: 0.5rem !important; }
+
+.m-3, .ml-3, .mx-3 { margin-left: 1rem !important; }
+.m-3, .mr-3, .mx-3 { margin-right: 1rem !important; }
+.m-3, .mt-3, .my-3 { margin-top: 1rem !important; }
+.m-3, .mb-3, .my-3 { margin-bottom: 1rem !important; }
+
+.m-4, .ml-4, .mx-4 { margin-left: 1.5rem !important; }
+.m-4, .mr-4, .mx-4 { margin-right: 1.5rem !important; }
+.m-4, .mt-4, .my-4 { margin-top: 1.5rem !important; }
+.m-4, .mb-4, .my-4 { margin-bottom: 1.5rem !important; }
+
+.m-5, .ml-5, .mx-5 { margin-left: 3rem !important; }
+.m-5, .mr-5, .mx-5 { margin-right: 3rem !important; }
+.m-5, .mt-5, .my-5 { margin-top: 3rem !important; }
+.m-5, .mb-5, .my-5 { margin-bottom: 3rem !important; }
+
+
+/* ---- Clases de ayuda [ENDED] ---- */